Appearance
PATCH
/web-pages/draft/drafts/{draftId}/sections/{sectionId}Required scope:
viskan:draft:updateUpdates a section by ID.
Parameters
Path parameters
draftId string Format:
uuidIdentifier of the draft. A draft is a workspace that holds unpublished changes to web store content.
sectionId string Format:
uuidIdentifier of the section. A section is a reusable content block that can be included in layouts.
Request body
JSON
{
"sectionName": "Start Page Hero",
"sectionDescription": "Section for the start page displaying an image and text",
"sectionType": "IMAGE_AND_TEXT",
"content": "<p>{4dd9fd6f-9403-49e6-83df-2550abac538e}</p><image url={a8eecb0e-b06a-4b2c-882f-376cff259454}>",
"action": "REMOVE",
"variables": [
{
"variableId": "4dd9fd6f-9403-49e6-83df-2550abac538e",
"variableName": "Hero paragraph",
"variableType": "TEXT"
}
],
"searchableContent": "Start page"
}
Response
The section was updated successfully.
| Error code | Description |
|---|---|
web-pages.update-section.draft-not-found | Draft not found. |
web-pages.update-section.section-for-removal-not-found | Section for removal not found. |
web-pages.update-section.section-in-use | Section that is used within a layout cannot be removed. |
web-pages.update-section.section-name-missing | Section name is missing. |
web-pages.update-section.section-not-found | Section not found. |
web-pages.update-section.variable-id-required | Variable ID is required. |
web-pages.update-section.variable-name-required | Variable name is required. |
web-pages.update-section.variable-type-required | Variable type is required. |